=== debian/control ===
Source: vlc
Section: graphics
Priority: optional
Maintainer: Sam Hocevar (Debian packages) <sam+deb@zoy.org>
Build-Depends: debhelper (>= 4.0), dpatch, gettext, libx11-dev, libxext-dev, libxt-dev, libxv-dev, xlibs-static-pic, libggi2-dev, libglide2-dev [i386], libesd0-dev, libaudiofile-dev, libsdl1.2-dev (>= 1.2.7-5), libasound2-dev (>= 0.9.0beta10a), libarts1-dev, libmad0-dev, liblircclient-dev, liba52-0.7.4-dev, aalib1-dev, libdvbpsi3-dev, mozilla-dev, libidl0, libglib2.0-0, libxosd-dev (>= 2.2.4-1.3), svgalibg1-dev (>= 1.4.0) [i386], libogg-dev, libvorbis-dev, libwxgtk2.4-dev (>= 2.4.2.6), libdvdread3-dev, libslp-dev, libflac-dev (>= 1.1.1-5), libimlib2-dev, libmatroska-dev (>= 0.7.5), libfreetype6-dev, linux-kernel-headers (>= 2.5.999-test7-bk-7), libcaca-dev (>= 0.9), liblivemedia-dev (>= 2004.11.11a-1), libmpeg2-4-dev, zlib1g-dev, libdts-dev, libfribidi-dev, libcdio-dev, libxml2-dev, libid3tag0-dev, libtheora-dev, jam, nasm, libmodplug-dev, libhal-dev, libtar-dev, libdvdnav-dev, libgnutls11-dev, libavcodec-dev (>= 0.cvs20050313-1), libavformat-dev (>= 0.cvs20050313-1), libpostproc-dev (>= 0.cvs20050313-1), libncurses5-dev
Standards-Version: 3.6.1.1

Package: vlc
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, wxvlc, ttf-freefont
Recommends: ttf-thryomanes, videolan-doc
Suggests: vlc-plugin-alsa, mozilla-plugin-vlc
Replaces: vlc-plugin-dvb (<< 0.5.2-2), vlc-plugin-xosd (<< 0.5.2-2), vlc-plugin-dv (<< 0.5.2-2), vlc-plugin-mad (<< 0.5.2-2), vlc-mad (<< 0.5.0), vlc-plugin-a52 (<< 0.5.2-2), vlc-plugin-ogg (<< 0.5.2-2), vlc-plugin-lirc (<< 0.5.2-2), vlc-lirc (<< 0.5.0), vlc-plugin-aa (<< 0.5.2-2), vlc-aa (<< 0.5.0)
Conflicts: vlc-plugin-dvb (<< 0.5.2-2), vlc-plugin-xosd (<< 0.5.2-2), vlc-plugin-dv (<< 0.5.2-2), vlc-plugin-mad (<< 0.5.2-2), vlc-mad (<< 0.5.0), vlc-plugin-a52 (<< 0.5.2-2), vlc-plugin-ogg (<< 0.5.2-2), vlc-plugin-lirc (<< 0.5.2-2), vlc-lirc (<< 0.5.0), vlc-plugin-aa (<< 0.5.2-2), vlc-aa (<< 0.5.0)
Provides: mp3-decoder
Description: multimedia player for all audio and video formats
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.
 .
 VLC can also be used as a streaming server that duplicates the stream it
 reads and multicasts them through the network to other clients, or serves
 them through HTTP.
 .
 VLC has support for on-the-fly transcoding of audio and video formats, either
 for broadcasting purposes or for movie format transformations. Support for
 most output methods is provided by this package, but features can be added
 by installing additional audio plugins (vlc-plugin-esd, vlc-plugin-alsa,
 vlc-plugin-arts) or video plugins (vlc-plugin-sdl, vlc-plugin-ggi,
 vlc-plugin-glide, vlc-plugin-svgalib). There is also a web browser plugin
 in the mozilla-plugin-vlc package.

Package: libvlc0-dev
Section: libdevel
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
Description: development files for VLC
 This package contains headers and a static library required to build plugins
 for VLC, or standalone applications that use VLC features.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: gnome-vlc
Section: oldlibs
Architecture: any
Depends: wxvlc, vlc (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: vlc-gnome (<< 0.5.0)
Replaces: vlc-gnome (<< 0.5.0)
Description: GNOME frontend for VLC (dummy legacy package)
 The gnome-vlc package has been discontinued. You should use the wxvlc
 package instead.
 .
 This package is only useful to ensure clean upgrades from old Debian
 releases and can be safely removed.

Package: gvlc
Section: oldlibs
Architecture: any
Depends: wxvlc, vlc (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: vlc-gnome (<= 0.2.63-2), vlc-gtk (<< 0.5.0)
Replaces: vlc-gnome (<= 0.2.63-2), vlc-gtk (<< 0.5.0)
Description: GTK+ frontend for VLC (dummy legacy package)
 The gvlc package has been discontinued. You should use the wxvlc
 package instead.
 .
 This package is only useful to ensure clean upgrades from old Debian
 releases and can be safely removed.

Package: vlc-plugin-esd
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: vlc-esd (<< 0.5.0)
Replaces: vlc-esd (<< 0.5.0)
Description: Esound audio output plugin for VLC
 This plugin adds support for the Enlightened Sound Daemon to the VLC
 media player. To activate it, use the `--aout esd' flag or select the
 `esd' audio output plugin from the preferences menu.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: vlc-plugin-alsa
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: vlc-alsa (<< 0.5.0)
Replaces: vlc-alsa (<< 0.5.0)
Description: ALSA audio output plugin for VLC
 This plugin adds support for the Advanced Linux Sound Architecture to
 the VLC media player. To activate it, use the `--aout alsa' flag or
 select the `alsa' audio output plugin from the preferences menu.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: vlc-plugin-sdl
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: vlc-sdl (<< 0.5.0)
Replaces: vlc-sdl (<< 0.5.0)
Description: SDL video and audio output plugin for VLC
 This plugin adds support for the Simple DirectMedia Layer library to
 the VLC media player. To activate it, use the `--vout sdl' or
 `--aout sdl' flags or select the `sdl' video or audio output plugin
 from the preferences menu.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: vlc-plugin-ggi
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: vlc-ggi (<< 0.5.0)
Replaces: vlc-ggi (<< 0.5.0)
Description: GGI video output plugin for VLC
 This is a GGI plugin for the VLC media player.  To activate it, use
 the `--vout ggi' flag or select the `ggi' video output plugin from the
 preferences menu.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: vlc-plugin-glide
Architecture: i386
Depends: vlc (= ${Source-Version}), libglide2
Conflicts: vlc-glide (<< 0.5.0)
Replaces: vlc-glide (<< 0.5.0)
Description: Glide video output plugin for VLC
 This is a Glide (3dfx) plugin for the VLC media player. To activate
 it, use the `--vout glide' flag or select the `glide' video output
 plugin from the preferences menu.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: qvlc
Section: oldlibs
Architecture: any
Depends: wxvlc, vlc (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: vlc-qt (<< 0.5.0)
Replaces: vlc-qt (<< 0.5.0)
Description: Qt frontend for VLC (dummy legacy package)
 The qvlc package has been discontinued. You should use the wxvlc
 package instead.
 .
 This package is only useful to ensure clean upgrades from old Debian
 releases and can be safely removed.

Package: vlc-plugin-arts
Architecture: any
Depends: vlc (= ${Source-Version}), libartsc0, ${misc:Depends}
Conflicts: vlc-arts (<< 0.5.0)
Replaces: vlc-arts (<< 0.5.0)
Description: aRts audio output plugin for VLC
 This plugin adds support for the aRts Sound System to the VLC media
 player. To activate it, use the `--aout arts' flag or select the `arts'
 audio output plugin from the preferences menu.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: mozilla-plugin-vlc
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: mozilla-browser
Description: multimedia plugin for Mozilla based on VLC
 This plugin adds support for MPEG, MPEG2, DVD, DivX, Ogg/Vorbis and many
 more formats to your Mozilla browser. The decoding process is done by VLC
 and the output window is embedded in a webpage or directly in the browser
 window. There is also support for fullscreen display and javascript control.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: kvlc
Section: oldlibs
Architecture: any
Depends: wxvlc, vlc (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: vlc-plugin-arts
Conflicts: vlc-kde (<< 0.5.0)
Replaces: vlc-kde (<< 0.5.0)
Description: KDE frontend for VLC (dummy legacy package)
 The kvlc package has been discontinued. You should use the wxvlc
 package instead.
 .
 This package is only useful to ensure clean upgrades from old Debian
 releases and can be safely removed.

Package: vlc-plugin-svgalib
Architecture: i386
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
Description: SVGAlib video output plugin for VLC
 This plugin adds support for SVGAlib to the VLC media player. To
 activate it, use the `--vout svgalib' flag or select the `svgalib' video
 output plugin from the preferences menu. Note that you will need root
 permissions to use SVGAlib.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: wxvlc
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
Description: wxWindows frontend for VLC
 This plugin adds a wxWindow interface to the VLC media player. To activate
 the wxWindow GUI, use the `--intf wxwin' flag or run the `wxvlc' program.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: vlc-alsa
Section: oldlibs
Architecture: any
Depends: vlc (= ${Source-Version}), vlc-plugin-alsa, ${misc:Depends}
Description: ALSA audio output plugin for VLC (dummy legacy package)
 The vlc-alsa package has been renamed to vlc-plugin-alsa. This is a dummy
 package with the sole purpose of ensuring a smooth upgrade from vlc-alsa
 to vlc-plugin-alsa.
 .
 This package is only useful to ensure clean upgrades from old Debian
 releases and can be safely removed.

Package: vlc-esd
Section: oldlibs
Architecture: any
Depends: vlc (= ${Source-Version}), vlc-plugin-esd, ${misc:Depends}
Description: Esound audio output plugin for VLC (dummy legacy package)
 The vlc-esd package has been renamed to vlc-plugin-esd. This is a dummy
 package with the sole purpose of ensuring a smooth upgrade from vlc-esd
 to vlc-plugin-esd.
 .
 This package is only useful to ensure clean upgrades from old Debian
 releases and can be safely removed.

Package: vlc-ggi
Section: oldlibs
Architecture: any
Depends: vlc (= ${Source-Version}), vlc-plugin-ggi, ${misc:Depends}
Description: GGI video output plugin for VLC (dummy legacy package)
 The vlc-ggi package has been renamed to vlc-plugin-ggi. This is a dummy
 package with the sole purpose of ensuring a smooth upgrade from vlc-ggi
 to vlc-plugin-ggi.
 .
