=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for the VLC media player - uses debhelper.
# $Id: rules 10334 2005-03-14 13:54:04Z sam $
# based on Joey Hess's one.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
include /usr/share/dpatch/dpatch.make

#
# Compilation options
#

CONFIG_FLAGS = --enable-release --prefix=/usr
CONFIG_FLAGS += \
	--disable-gnome \
	--disable-gtk \
	--disable-familiar \
	--disable-fb \
	--enable-ggi \
	--enable-sdl \
	--enable-esd \
	--disable-qt \
	--enable-mad \
	--enable-arts \
	--enable-alsa \
	--enable-lirc \
	--enable-a52 \
	--enable-aa \
	--enable-dvbpsi \
	--enable-xosd \
	--enable-mozilla \
	--disable-kde \
	--enable-mp4 \
	--enable-dvb \
	--enable-dv \
	--disable-satellite \
	--enable-ogg \
	--enable-vorbis \
	--enable-wxwindows \
	--with-wx-config=wxgtk-2.4-config \
	--disable-slp \
	--enable-flac \
	--disable-skins \
	--disable-basic-skins \
	--enable-skins2 \
	--enable-freetype \
	--enable-mkv \
	--enable-v4l \
	--enable-pvr \
	--disable-speex \
	--enable-caca \
	--enable-livedotcom \
	--enable-libmpeg2 \
	--enable-dts \
	--enable-fribidi \
	--enable-cdio \
	--enable-mod \
	--enable-theora \
	--enable-modplug \
	--enable-dvdnav \
	--enable-gnutls \
	--enable-ffmpeg \
	--enable-ncurses \
	$(NULL)

# These ones are currently shipped with VLC
CONFIG_FLAGS += --enable-faad --with-faad-tree=extras/faad2
CONFIG_FLAGS += --enable-x264 --with-x264-tree=extras/x264

# Glide and svgalib are only for x86
ifeq ($(shell dpkg-architecture -qDEB_BUILD_GNU_CPU),i386)
CONFIG_FLAGS += --enable-glide
CONFIG_FLAGS += --enable-svgalib
endif

# Remove --without-dvdcss in non-totalitarian countries
CONFIG_FLAGS += --enable-dvd --without-dvdcss

# A few shortcuts
VIDDIR = usr/share/vlc
PIXDIR = usr/share/pixmaps
GNOMEDIR = usr/share/gnome/apps/Multimedia

#
# Build rules
#

configure: configure-stamp
configure-stamp:
	dh_testdir

	# Touch stuff
	touch configure.ac
	touch aclocal.m4
	touch configure
	touch config.h.in
	touch `find . -name Makefile.in`

	# Check that we have an x264 tree in here (can be a symlink)
	test -d extras/x264
	if test ! '(' -d CVS -o -d .svn ')'; then \
	  cd extras/x264 \
	  && jam -dx libx264.a; \
	fi

	# Check that we have an faad2 tree in here (can be a symlink)
	test -d extras/faad2
	if test ! '(' -d CVS -o -d .svn ')'; then \
	  cd extras/faad2 \
	  && touch `find . -name configure.in` \
	  && touch `find . -name aclocal.m4` \
	  && touch `find . -name configure` \
	  && touch `find . -name config.h.in` \
	  && touch `find . -name Makefile.in` \
	  && ./configure --disable-shared \
	  && cd libfaad \
	  && $(MAKE); \
	fi

	# Configure VLC
	./configure --mandir=$${prefix}/share/man \
	  --infodir=$${prefix}/share/info $(CONFIG_FLAGS)

	touch configure-stamp

build: build-stamp
build-stamp: patch configure-stamp
	dh_testdir

	# Build only VLC, with the non-PIC libs
	$(MAKE) include/vlc_symbols.h
	cd modules && AM_MAKEFLAGS='plugin=no pic=no' $(MAKE)
	$(MAKE) vlc

	# Hackety hackety hack
	if test ! '(' -d CVS -o -d .svn ')'; then \
	  cd extras/x264 \
	  && jam -dx clean \
	  && rm -f Jamfile.pic \
	  && sed 's/^CCFLAGS *=/& -fPIC -DPIC /' <Jamfile >Jamfile.pic \
	  && jam -dx -sJAMFILE=Jamfile.pic libx264.a \
	  && rm -f Jamfile.pic; \
	fi

	# HACKETY HACKETY HACK
	if test ! '(' -d CVS -o -d .svn ')'; then \
	  cd extras/faad2/libfaad \
	  && $(MAKE) clean \
	  && $(MAKE) AM_CFLAGS=-fPIC; \
	fi

	# Build all the rest, with the PIC libs
	AM_MAKEFLAGS='builtin=no' $(MAKE)

	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f configure-stamp build-stamp

	# Check that we have an x264 tree in here (can be a symlink)
	test -d extras/x264
	-if test ! '(' -d CVS -o -d .svn ')'; then \
	  cd extras/x264 && jam -dx clean; \
	fi
	# Check that we have an faad2 tree in here (can be a symlink)
	test -d extras/faad2
	-if test ! '(' -d CVS -o -d .svn ')'; then \
	  cd extras/faad2 && $(MAKE) distclean; \
	fi

	# Removed ugly cruft
	rm -f src/misc/modules_builtin.h
	rm -f mozilla/vlcintf.xpt mozilla/vlcintf.h

	# Remove spurious autotools stuff
	rm -f config.log confdefs.h

	-$(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	DESTDIR=`pwd`/debian/vlc/ $(MAKE) install prefix=/usr

	# Package: vlc
	mv debian/vlc/$(VIDDIR)/vlc48x48.png debian/vlc/$(PIXDIR)/vlc.png
	mv debian/vlc/$(VIDDIR)/vlc32x32.xpm debian/vlc/$(VIDDIR)/vlc.xpm
	cp debian/gvlc.desktop debian/gvlc/$(GNOMEDIR)
	cp debian/gnome-vlc.desktop debian/gnome-vlc/$(GNOMEDIR)

	#cp doc/fortunes.txt debian/vlc/usr/share/games/fortunes/vlc
	#strfile doc/fortunes.txt debian/vlc/usr/share/games/fortunes/vlc.dat

	rm -Rf debian/vlc/$(VIDDIR)/skins
	ln -s vlc.1.gz debian/vlc/usr/share/man/man1/svlc.1.gz

	# Package: libvlc0-dev
	mv debian/vlc/usr/bin/vlc-config debian/libvlc0-dev/usr/bin/
	mv debian/vlc/usr/lib/*.a debian/libvlc0-dev/usr/lib/
	mv debian/vlc/usr/lib/vlc/*.a debian/libvlc0-dev/usr/lib/vlc/
	mv debian/vlc/usr/include/vlc/*.h debian/libvlc0-dev/usr/include/vlc/
	rm -Rf debian/vlc/usr/include
	ln -s vlc debian/libvlc0-dev/usr/share/doc/libvlc0-dev

	# Package: gnome-vlc
	#mv debian/vlc/usr/bin/gnome-vlc debian/gnome-vlc/usr/bin/
	ln -s vlc debian/gnome-vlc/usr/share/doc/gnome-vlc
	#mv debian/vlc/usr/lib/vlc/misc/libgnome_main_plugin.so \
	#  debian/gnome-vlc/usr/lib/vlc/gui/
	#mv debian/vlc/usr/lib/vlc/gui/libgnome_plugin.so \
	#  debian/gnome-vlc/usr/lib/vlc/gui/
	#ln -s vlc.1.gz debian/gnome-vlc/usr/share/man/man1/gnome-vlc.1.gz
	#mv debian/vlc/$(VIDDIR)/gnome-vlc32x32.xpm debian/gnome-vlc/$(VIDDIR)/gnome-vlc.xpm
	#mv debian/vlc/$(VIDDIR)/gnome-vlc48x48.png debian/gnome-vlc/$(PIXDIR)/gnome-vlc.png

	# Package: vlc-gnome
	mkdir -p debian/vlc-gnome/usr/share/doc/
	ln -s vlc debian/vlc-gnome/usr/share/doc/vlc-gnome

	# Package: gvlc
	#mv debian/vlc/usr/bin/gvlc debian/gvlc/usr/bin/
	ln -s vlc debian/gvlc/usr/share/doc/gvlc
	#mv debian/vlc/usr/lib/vlc/misc/libgtk_main_plugin.so \
	#  debian/gvlc/usr/lib/vlc/gui/
	#mv debian/vlc/usr/lib/vlc/gui/libgtk_plugin.so \
	#  debian/gvlc/usr/lib/vlc/gui/
	#mv debian/vlc/usr/lib/vlc/gui/libfamiliar_plugin.so \
	#  debian/gvlc/usr/lib/vlc/gui/
	#ln -s vlc.1.gz debian/gvlc/usr/share/man/man1/gvlc.1.gz
	#mv debian/vlc/$(VIDDIR)/gvlc32x32.xpm debian/gvlc/$(VIDDIR)/gvlc.xpm
	#mv debian/vlc/$(VIDDIR)/gvlc48x48.png debian/gvlc/$(PIXDIR)/gvlc.png

	# Package: vlc-gtk
	mkdir -p debian/vlc-gtk/usr/share/doc/
	ln -s vlc debian/vlc-gtk/usr/share/doc/vlc-gtk

	# Package: vlc-plugin-esd
	ln -s vlc debian/vlc-plugin-esd/usr/share/doc/vlc-plugin-esd
	mv debian/vlc/usr/lib/vlc/audio_output/libesd_plugin.so \
	  debian/vlc-plugin-esd/usr/lib/vlc/audio_output/

	# Package: vlc-esd
	mkdir -p debian/vlc-esd/usr/share/doc/
	ln -s vlc debian/vlc-esd/usr/share/doc/vlc-esd

	# Package: vlc-plugin-alsa
	ln -s vlc debian/vlc-plugin-alsa/usr/share/doc/vlc-plugin-alsa
	mv debian/vlc/usr/lib/vlc/audio_output/libalsa_plugin.so \
	  debian/vlc-plugin-alsa/usr/lib/vlc/audio_output/

	# Package: vlc-alsa
	mkdir -p debian/vlc-alsa/usr/share/doc/
	ln -s vlc debian/vlc-alsa/usr/share/doc/vlc-alsa

	# Package: vlc-plugin-sdl
	ln -s vlc debian/vlc-plugin-sdl/usr/share/doc/vlc-plugin-sdl
	mv debian/vlc/usr/lib/vlc/audio_output/libaout_sdl_plugin.so \
	  debian/vlc-plugin-sdl/usr/lib/vlc/audio_output/
	mv debian/vlc/usr/lib/vlc/video_output/libvout_sdl_plugin.so \
	  debian/vlc-plugin-sdl/usr/lib/vlc/video_output/

	# Package: vlc-sdl
	mkdir -p debian/vlc-sdl/usr/share/doc/
	ln -s vlc debian/vlc-sdl/usr/share/doc/vlc-sdl

	# Package: vlc-plugin-ggi
	ln -s vlc debian/vlc-plugin-ggi/usr/share/doc/vlc-plugin-ggi
	mv debian/vlc/usr/lib/vlc/video_output/libggi_plugin.so \
	  debian/vlc-plugin-ggi/usr/lib/vlc/video_output/

	# Package: vlc-ggi
	mkdir -p debian/vlc-ggi/usr/share/doc/
	ln -s vlc debian/vlc-ggi/usr/share/doc/vlc-ggi

	# Package: vlc-plugin-glide
ifeq ($(shell dpkg-architecture -qDEB_BUILD_GNU_CPU),i386)
	ln -s vlc debian/vlc-plugin-glide/usr/share/doc/vlc-plugin-glide
